Get wallet list
curl --request GET \
--url https://tag.alfa-bot.com/api/prod/v1/wallets \
--header 'token: <api-key>'import requests
url = "https://tag.alfa-bot.com/api/prod/v1/wallets"
headers = {"token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {token: '<api-key>'}};
fetch('https://tag.alfa-bot.com/api/prod/v1/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "200",
"error_code": null,
"error_message": null,
"data": {
"user_id": "421304840",
"count": 89,
"wallets": [
{
"balances": {
"BNB": {
"available": 0
},
"USDT": {
"available": 5.673420999999998
}
},
"address": "0x09222222222222222222222",
"name": "First BNB Wallet",
"type": "accounting",
"network": "bnb",
"status": "active"
},
{
"balances": {
"ETH": {
"available": 0.184
},
"USDT": {
"available": 0
},
"USDC": {
"available": 0
}
},
"address": "0x0911111111111111111111111",
"name": "ERC 3",
"type": "user",
"network": "eth",
"status": "active",
"refund": [
{
"refund_transaction_id": 1,
"amount": 0.1,
"deposit_transaction_id": "22222",
"refund_wallet": "0x09222222222222222222222",
"currency": "ETH"
}
]
}
]
}
}{
"code": "400",
"error_code": "system",
"error_message": "Your api_key does not have permission to perform this action",
"data": null
}{
"code": "404",
"error_code": "not_found",
"error_message": "Get wallets error",
"data": null
}{
"code": "500",
"error_code": "system",
"error_message": "System error",
"data": null
}Wallets & Balances
Get wallet list
GET
/
wallets
Get wallet list
Authorizations
Pass your API token in the token request header.
Query Parameters
Wallet address filter.
Pagination offset.
Pagination limit.
Wallet type filter.
Network filter.
Response
OK - wallet list was returned successfully
⌘I